// ------ BOTTLES ------

// --- WHISKY BOTTLE ---
#declare a_wbott=array[15]
#declare a_wbott[0]=<0,0,0>;
#declare a_wbott[1]=<0,.5,0>;
#declare a_wbott[2]=<3.5,0,0>;
#declare a_wbott[3]=<3.6,0,0>;
#declare a_wbott[4]=<4,.4,0>;
#declare a_wbott[5]=<4,6,0>;
#declare a_wbott[6]=<4,12,0>;
#declare a_wbott[7]=<4,17.25,0>;
#declare a_wbott[8]=<2,20,0>;
#declare a_wbott[9]=<1.9,22.9,0>;
#declare a_wbott[10]=<1.25,26.5,0>;
#declare a_wbott[11]=<1.3,26.6,0>;
#declare a_wbott[12]=<1.3,28,0>;
#declare a_wbott[13]=<0,28,0>;
#declare a_wbott[14]=<0,28,0>;

#declare whisky_bott_base =
object{meshlathe(a_wbott,.4,9)}

#declare whisky_bott =
 object{whisky_bott_base
 hollow
}

#declare whisky_tap =
difference{
 superellipsoid{
  <1,.1>
  rotate 90*x
 }
 torus{1.55,.1 translate .2*y}
 torus{1.55,.1 translate .1*y}
 texture{
   material_map{
    gif "mm_wtap"
    map_type 2
    texture{pigment{Gray10} finish{Phong_Dull metallic reflection .05}}
    texture{Gold_Texture}
   }
   scale 2
   translate -1*y
 }
 scale <1.55,3.4*.5,1.55>
}

#declare whisky_label=
difference{
 cylinder{<0,0,0>,<0,13,0>,4.2}
 cylinder{<0,-.1,0>,<0,13.1,0>,4.1}
}

#declare filled_whisky_bott=
union{
 object{whisky_bott
  material{m_whisky_glass}
 }
 object{whisky_tap
  translate 28*y
 }
 object{whisky_label
  texture{
   material_map{
    gif "mm_wlab"
    map_type 2
    texture{pigment{Gray10} finish{Phong_Shiny reflection .05}}
    texture{Gold_Texture}
    texture{pigment{White} finish{Phong_Shiny reflection .05}}
    texture{pigment{Clear}}
   }
   scale <1,13,1>
  }
  translate 3*y
 }
}


// --- RUM BOTTLE ---
#declare a_rbott=array[16]
#declare a_rbott[0]=<0,0,0>;
#declare a_rbott[1]=<0,.5,0>;
#declare a_rbott[2]=<3.5,0,0>;
#declare a_rbott[3]=<3.6,0,0>;
#declare a_rbott[4]=<4,.4,0>;
#declare a_rbott[5]=<4,6,0>;
#declare a_rbott[6]=<4,12,0>;
#declare a_rbott[7]=<4,17,0>;
#declare a_rbott[8]=<2,20,0>;
#declare a_rbott[9]=<1.9,21,0>;
#declare a_rbott[10]=<1.5,22,0>;
#declare a_rbott[11]=<1.3,26,0>;
#declare a_rbott[12]=<1.42,26.1,0>;
#declare a_rbott[13]=<1.4,28,0>;
#declare a_rbott[14]=<0,28,0>;
#declare a_rbott[15]=<0,28,0>;

#declare rum_bott_base=
object{meshlathe(a_rbott,.4,9)}

#declare rum_bott =
object{rum_bott_base
 hollow
}

#declare rum_tap =
difference{
 superellipsoid{
  <1,.1>
  rotate 90*x
 }
 torus{1.55,.1 translate .2*y}
 torus{1.55,.1 translate .1*y}
 texture{
   material_map{
    gif "mm_rtap"
    map_type 2
    texture{pigment{Firebrick} finish{Phong_Dull metallic reflection .05}}
    texture{pigment{Gold} finish{metallic reflection .05}}
   }
   scale 2
   translate -1*y
 }
 scale <1.5,3.4*.5,1.5>
}

#declare rum_label=
difference{
 cylinder{<0,0,0>,<0,13,0>,4.2}
 cylinder{<0,-.1,0>,<0,13.1,0>,4.1}
}

#declare filled_rum_bott=
union{
 object{rum_bott
  material{m_rum_glass}
 }
 object{rum_tap
  translate 28*y
 }
 object{rum_label
  texture{
   material_map{
    gif "mm_rlab"
    map_type 2
    texture{pigment{Firebrick} finish{metallic reflection .05}}
    texture{pigment{Goldenrod} finish{Metal}}
    texture{pigment{Gold} finish{metallic reflection .05}}
    texture{pigment{Clear}}
   }
   scale <1,13,1>
  }
  translate 3*y
 }
}


// --- wine BOTTLE ---
#declare a_vbott=array[17]
#declare a_vbott[0]=<0,-1,0>;
#declare a_vbott[1]=<0,0,0>;
#declare a_vbott[2]=<48,0,0>;
#declare a_vbott[3]=<51,8,0>;
#declare a_vbott[4]=<51,30,0>;
#declare a_vbott[5]=<51.75,34,0>;
#declare a_vbott[6]=<51.75,34+(168-34)/2,0>;
#declare a_vbott[7]=<51.75,168,0>;
#declare a_vbott[8]=<51,172,0>;
#declare a_vbott[9]=<51,192,0>;
#declare a_vbott[10]=<24,242,0>;
#declare a_vbott[11]=<20,300,0>;
#declare a_vbott[12]=<21,310,0>;
#declare a_vbott[13]=<21,334,0>;
#declare a_vbott[14]=<10,336,0>;
#declare a_vbott[15]=<0,336,0>;
#declare a_vbott[16]=<0,335,0>;

#declare vino_bott_base=
object{meshlathe(a_vbott,.4,9)}

#declare vino_cork=
cone{
 <0,-10,0>,14.5
 <0,50,0>,15
 texture{Cork scale 2}
 translate 310*y
}
#declare vino_label=
cylinder{
 <0,0,0>
 <0,1,0>
 52.05
 texture{
  pigment{
   image_map{gif "im_vlab" map_type 2}
  }
 }
 scale <1,(168-34),1>
 translate <0,34,0>
}
#declare vino_bottle=
union{
 object{vino_label}
 object{vino_bott_base
  texture{t_v_bott_glass}
 }
 object{vino_cork}
 scale 0.08
}

