/*
  Contains several camera settings for different views
*/

#switch (active_camera)
 #case (1)
  // first camera, close to the bar
  #declare camera_from=<-90,175,90>;
  #declare camera_zoom=3.33*z;
  #declare camera_at=<50,130,275>;
  #break
 #case (2)
  // alternative view
  #declare camera_from=<-100,190,75>;
  #declare camera_zoom=3*z;
  #declare camera_at=<30,133.5,280>;
  #break
 #case (3)
  // aerial view
  #declare camera_from=<-300,175,-395>;
  #declare camera_zoom=1.7*z;
  #declare camera_at=<100,120,0>;
  #break
 #case (4)
  // final camera
  #declare camera_from=<-5,125,210>;
  #declare camera_zoom=1.45*z;
  #declare camera_at=<17,124,300>;
  #break
 #case (5)
  // from up to the bar
  #declare camera_from=<1,155,175>;
  #declare camera_zoom=5*z;
  #declare camera_at=<5,110.1,267>;
  #break
#end


