// --- caja registradora ---

#declare molde_carc_c_reg=
union{
 difference{
  superellipsoid{
   <.1,.1>
   scale <16,16,18>
  }
  plane{y,0 inverse rotate 15*x}
 }
 superellipsoid{
  <.1,.1>
  scale <16,16,6>
  translate -12*z
 }
 superellipsoid{
  <.1,.1>
  scale <16.5,8,18.5>
  translate -4*y
 }
 bounded_by{box{<-16.6,-16.1,-18.6>,<16.6,16.1,18.6>}}
}

#declare c_reg_carcasa=
difference{
 object{molde_carc_c_reg}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate <14, 14,-18>}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate <14,-14,-18>}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate < 0, 14,-18>}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate < 0,-14,-18>}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate <14,  1,-18>}
 cylinder{<0,0,-1>,<0,0,1>,.4 translate <14, -9,-18>}
 box{
  <-6,-1.5,-.2>
  < 6, 1.5,-.1>
  translate <15-6-2,16-1.5-3,-18>
 }
 bounded_by{box{<-16.6,-16.1,-18.6>,<16.6,16.1,18.6>}}
 texture{
  pigment{
   granite
   color_map{
    [0 DarkTan]
    [0.5 DarkBrown]
    [1 Orange/4]
   }
  }
  normal{granite}
  finish{metallic}
 }
 texture{
  pigment{
   bozo
   turbulence .2
   color_map{
    [0.00 Clear]
    [0.10 Clear]
    [0.12 Wheat]
    [1.00 Wheat]
   }
  }
  normal{dents scale .4 turbulence .3} 
  scale 1
 }
 texture{
  pigment{
   wrinkles
   turbulence .3
   color_map{
    [0.00 Clear]
    [0.30 Clear]
    [0.32 Wheat]
    [1.00 Wheat]
   }
  }
  finish{Phong_Shiny reflection .025}
  translate 1
  scale 2
 }
}

#declare c_reg_1tornillo=
difference{
 sphere{
  <0,0,0>,.39
 }
 box{<-.3,-.1,-.4>,<.3,.1,.2>}
 box{<-.1,-.3,-.4>,<.1,.3,.2>}
 bounded_by{sphere{<0,0,0>,.4}}
 scale <1,1,.3>
 texture{Chrome_Texture}
}

#declare c_reg_tornillos=
union{
 object{c_reg_1tornillo translate <14, 14,-17.6>}
 object{c_reg_1tornillo translate <14,-14,-17.6>}
 object{c_reg_1tornillo translate < 0, 14,-17.6>}
 object{c_reg_1tornillo translate < 0,-14,-17.6>}
 object{c_reg_1tornillo translate <14,  1,-17.6>}
 object{c_reg_1tornillo translate <14, -9,-17.6>}
}

#declare c_reg_numeros=
union{
 box{
  <-6,-1.5,-.3>
  < 6, 1.5,-.2>
  texture{
   material_map{
    gif "mm_leds"
    texture{pigment{Green*.1} normal{bumps scale 4} finish{Metal}}
    texture{pigment{Green*5} finish{Glass_Finish ambient 1}}
   }
   translate -.5
   scale <12,3,1>
  }
 }
 box{
  <-6,-1.5,-.1>
  < 6, 1.5,  0>
  texture{Glass normal{bumps scale 4} finish{ior 1.1}}
 }
 difference{
  box{
   <-6,-1.5, 0>
   < 6, 1.5,.1>
   scale 1.1
  }
  box{
   <-6,-1.5,-.1>
   < 6, 1.5, .2>
  }
  texture{pigment{Flesh} finish{Shiny}}
 }
}

#declare c_reg_patas=
union{
 cylinder{<0,0,0>,<0,1,0>,1.5 translate <-14,-17,-16>}
 cylinder{<0,0,0>,<0,1,0>,1.5 translate <-14,-17, 16>}
 cylinder{<0,0,0>,<0,1,0>,1.5 translate < 14,-17,-16>}
 cylinder{<0,0,0>,<0,1,0>,1.5 translate < 14,-17, 16>}
 texture{Chrome_Texture}
}

#declare c_reg_chapa=
union{
 box{
  -.5,.5
  texture{
   material_map{
    gif "mm_chapa"
    texture{Chrome_Texture}
    texture{Polished_Chrome}
    texture{pigment{Gray10} finish{Metal reflection .1}}
   }
   translate -.5
  }
  scale <9,4.2,.1>
 }
// object{c_reg_1tornillo}
}

#declare caja_reg=
union{
 object{c_reg_carcasa}
 object{c_reg_tornillos}
 object{c_reg_numeros
  translate <15-6-2,16-1.5-3,-17.8>
 }
 object{c_reg_patas}
 object{c_reg_chapa
  translate <(15-3-4.5),-7,-18.48>
 }
}

