#declare spot_lamp=
union{
 sphere{<0,0,0>,5 texture{Glass2} no_shadow}      
 sphere { 0, 2
  pigment { color rgbf<1, 1, 1, 1> }
  finish { ambient 0 diffuse 0 }
   interior{
     media {
      emission 0.1
      intervals 10
      samples 1, 10
      confidence 0.9999
      variance 1/1000
      density {
       spherical
       ramp_wave
       turbulence .01
       color_map {
         [0.0 Black]
         [0.5 White*.25+Gold*.25]
         [1.0 White+Gold]
       }
      }
     }
    }
  scale 10
  hollow
  translate -4*y
 }
 cylinder{<0,-4,0>,<0,6,0>,5 pigment{Gray10} finish{Shiny} no_shadow}
 light_source{
  <0,0,0>
  White*.9+Gold
  spotlight
   point_at <0,-room_height,0>
   tightness 50
   radius 20
   falloff 50     
  //area_light <12, 0, 0>, <0, 0, 12>, 4, 4
   //adaptive 0
   //jitter
  fade_distance room_height*4
  fade_power 8
 }
 light_source{
  <0,-10,0>
  White*.3+Gold*.3
  fade_distance 30
  fade_power 8
 }
 light_source{
  <0,0,0>
  White*.2+Gold*.2
  //area_light <12, 0, 0>, <0, 0, 12>, 4, 4
   //adaptive 0
   //jitter
  fade_distance room_height*.6
  fade_power 16
 }
 /*
 cone{
  <0,0,0>,5
  <0,-room_height,0>,30
  pigment { color rgbf<1, 1, 1, 1> }
  finish { ambient 0 diffuse 0 }
  interior{
   media {
    emission 0.005
    intervals 10
    samples 1, 10
    confidence 0.9999
    variance 1/1000
    density {
     spherical
     ramp_wave
     turbulence .01
     color_map {
       [0.0 White+Gold]
       [1.0 Black]
     }
    }
    scale 100
    translate -100*y
   }
  }
  hollow
 }
 */
}
